package com.corejsf;

import javax.faces.component.FacesComponent;
import javax.faces.component.UIInput;
import javax.faces.convert.IntegerConverter;

@FacesComponent("com.corejsf.FontSpinner")
public class UIFontSpinner extends UIInput {
   public UIFontSpinner() {
      setConverter(new IntegerConverter()); // konwersja otrzymanej wartości
      setRendererType("com.corejsf.FontSpinner");  // ten komponent ma mechanizm wizualizacji
   } 
}